Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.codegen
Class PatternCompiler

    java.lang.Object
      com.saxonica.codegen.PatternCompiler

    public class PatternCompiler

extends Object

Compile a PatternMatchExpression (. matches pattern)

Constructor Summary
`PatternCompiler()`

Method Summary
`static void` | `compileToEffectiveBooleanValue(CompilerService compiler, String nodeVar, Pattern pat, String booleanVar)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternCompiler

    public PatternCompiler()

Method Detail

### compileToEffectiveBooleanValue

    public static void compileToEffectiveBooleanValue(CompilerService compiler,
                                                      String nodeVar,
                                                      Pattern pat,
                                                      String booleanVar)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.